import request from '@/utils/request'

// 查询变更备案信息列表
export function listFiling(query) {
  return request({
    url: '/basicData/xcrChangeFiling/findByPage',
    method: 'get',
    params: query
  })
}

// 查询变更备案信息详细
export function getFiling(xhCodeId) {
  return request({
    url: '/basicData/xcrChangeFiling/' + xhCodeId,
    method: 'get'
  })
}

// 新增变更备案信息
export function addFiling(data) {
  return request({
    url: '/basicData/xcrChangeFiling',
    method: 'post',
    data: data
  })
}

// 修改变更备案信息
export function updateFiling(data) {
  return request({
    url: '/basicData/xcrChangeFiling',
    method: 'put',
    data: data
  })
}

// 删除变更备案信息
export function delFiling(xhCodeId) {
  return request({
    url: '/basicData/xcrChangeFiling/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delFilingBatch(ids) {
  return request.post('/basicData/xcrChangeFiling/delete',ids)
}
